Bullet Collision Detection & Physics Library: gim_memory.cpp File Reference

Bullet Collision Detection & Physics Library

Functions | Variables
gim_memory.cpp File Reference
`#include "gim_memory.h"`
`#include "stdlib.h"`
`#include "LinearMath/btAlignedAllocator.h"`
Include dependency graph for gim_memory.cpp:

Go to the source code of this file.

## Functions
void | gim_set_alloc_handler (gim_alloc_function *fn)
| Memory Function Handlers set new memory management functions. More...
void | gim_set_alloca_handler (gim_alloca_function *fn)
void | gim_set_realloc_handler (gim_realloc_function *fn)
void | gim_set_free_handler (gim_free_function *fn)
gim_alloc_function * | gim_get_alloc_handler ()
| get current memory management functions. More...
gim_alloca_function * | gim_get_alloca_handler ()
gim_realloc_function * | gim_get_realloc_handler ()
gim_free_function * | gim_get_free_handler ()
void * | gim_alloc (size_t size)
| Standar Memory functions. More...
void * | gim_alloca (size_t size)
void * | gim_realloc (void *ptr, size_t oldsize, size_t newsize)
void | gim_free (void *ptr)

## Variables
static gim_alloc_function * | g_allocfn = 0
static gim_alloca_function * | g_allocafn = 0
static gim_realloc_function * | g_reallocfn = 0
static gim_free_function * | g_freefn = 0

## Function Documentation

## ◆ gim_alloc()

void* gim_alloc | ( | size_t | size | ) |

Standar Memory functions.

Definition at line 82 of file gim_memory.cpp.

## ◆ gim_alloca()

void* gim_alloca | ( | size_t | size | ) |

Definition at line 100 of file gim_memory.cpp.

## ◆ gim_free()

void gim_free | ( | void * | ptr | ) |

Definition at line 117 of file gim_memory.cpp.

## ◆ gim_get_alloc_handler()

gim_alloc_function* gim_get_alloc_handler | ( |  | ) |

get current memory management functions.

Definition at line 62 of file gim_memory.cpp.

## ◆ gim_get_alloca_handler()

gim_alloca_function* gim_get_alloca_handler | ( |  | ) |

Definition at line 67 of file gim_memory.cpp.

## ◆ gim_get_free_handler()

gim_free_function* gim_get_free_handler | ( |  | ) |

Definition at line 77 of file gim_memory.cpp.

## ◆ gim_get_realloc_handler()

gim_realloc_function* gim_get_realloc_handler | ( |  | ) |

Definition at line 72 of file gim_memory.cpp.

## ◆ gim_realloc()

void* gim_realloc | ( | void * | ptr,
|  | size_t | oldsize,
|  | size_t | newsize
| ) |  |

Definition at line 108 of file gim_memory.cpp.

## ◆ gim_set_alloc_handler()

void gim_set_alloc_handler | ( | gim_alloc_function * | fn | ) |

Memory Function Handlers set new memory management functions.

if fn is 0, the default handlers are used.

Definition at line 42 of file gim_memory.cpp.

## ◆ gim_set_alloca_handler()

void gim_set_alloca_handler | ( | gim_alloca_function * | fn | ) |

Definition at line 47 of file gim_memory.cpp.

## ◆ gim_set_free_handler()

void gim_set_free_handler | ( | gim_free_function * | fn | ) |

Definition at line 57 of file gim_memory.cpp.

## ◆ gim_set_realloc_handler()

void gim_set_realloc_handler | ( | gim_realloc_function * | fn | ) |

Definition at line 52 of file gim_memory.cpp.

## Variable Documentation

## ◆ g_allocafn

gim_alloca_function* g_allocafn = 0
| static

Definition at line 38 of file gim_memory.cpp.

## ◆ g_allocfn

gim_alloc_function* g_allocfn = 0
| static

Definition at line 37 of file gim_memory.cpp.

## ◆ g_freefn

gim_free_function* g_freefn = 0
| static

Definition at line 40 of file gim_memory.cpp.

## ◆ g_reallocfn

gim_realloc_function* g_reallocfn = 0
| static

Definition at line 39 of file gim_memory.cpp.